Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
New Contributor
Posts: 7
Registered: ‎05-07-2010
My Device: 8310
Accepted Solution

jre version

hi, i have an aplication in eclipse and jre 5.0 and it works with bb storm simulators and other models but, in 8310 simulator don't works, what can i do? jre 5.0 is not compatible with bb 8310?

thanks for the answers

Developer
Posts: 1,055
Registered: ‎01-25-2009
My Device: BlackBerry Bold 9650/BlackBerry Torch 9800

Re: jre version

You have to download additional component packs/JREs into Eclipse in order to test it on your 8310 simulator.

 

You will need the 4.5 JRE.

 

Add the following update site to your Eclipse install and install all the JREs you need:

 

http://www.blackberry.com/go/eclipseUpdate/3.5/java

Jerome Carty - Follow jcarty on Twitter@jcarty | #webworks-dev / #BlackberryDev on irc.freenode.net | My Apps
Click "Accept as Solution" if post solved your original issue.. Give like/thumbs up if you feel post is helpful
New Contributor
Posts: 7
Registered: ‎05-07-2010
My Device: 8310

Re: jre version

 

ohh thanks, do you know where i can download 4.5 jre, i search in google but i fing nothing userful and

 

http://www.blackberry.com/go/eclipseUpdate/3.5/jav a <-- this link dont work

 

Thanks

Developer
Posts: 1,055
Registered: ‎01-25-2009
My Device: BlackBerry Bold 9650/BlackBerry Torch 9800

Re: jre version

You have to plug the link into Eclipse by going to:

 

Help > Install New Software

 

Click Add button. Paste link into Location field and press OK (you can leave name blank).

Jerome Carty - Follow jcarty on Twitter@jcarty | #webworks-dev / #BlackberryDev on irc.freenode.net | My Apps
Click "Accept as Solution" if post solved your original issue.. Give like/thumbs up if you feel post is helpful
New Contributor
Posts: 7
Registered: ‎05-07-2010
My Device: 8310

Re: jre version

yeah man, thanks now my aplication runs :robotvery-happy:

Contributor
Posts: 38
Registered: ‎03-18-2010
My Device: 9000

Re: jre version

Hi,

 

at the moment I have the same problem and I try to download another JRE via eclipse, but it doesn't word. It wants me to log in to blackberry.com. I've tried many times and I'm sure, mei username and password is correct.

Can you help me or is there any other way to download the JRE?

 

Thanks in advance!

 

jtr87

Contributor
Posts: 38
Registered: ‎03-18-2010
My Device: 9000

Re: jre version

Doesn't anybody have an idea? Is it right to use the same login-information as for the bb-developer zone?